
#import <AppKit/AppKit.h>


@interface PreferenceController : NSWindowController 
{
    NSMutableSet *alertTimes; // contains number objects
    IBOutlet NSTextField *message;
    IBOutlet NSPanel *prefsPanel;
    
    IBOutlet NSBox *hoursBox;
    IBOutlet NSButton *alertButton;
    IBOutlet NSButton *bounceButton;
}

- (BOOL) shouldBounce;
- (BOOL) shouldAlert;
- (NSString *) alertMessage;
- (NSSet *) alertTimes;

- (IBAction) changeAlertTime: (id) sender;
- (IBAction) changeShowAlert: (id) sender;
- (IBAction) changeIconBounce: (id) sender;
- (IBAction) changeAlertMessage: (id) sender;

- (IBAction) factoryDefaults: (id) sender;

@end // PreferenceController

